package sun.security.action;

import java.io.File;
import java.io.FileInputStream;
import java.security.PrivilegedExceptionAction;

public class OpenFileInputStreamAction implements PrivilegedExceptionAction<FileInputStream>
{
    private final File file;
    
    public OpenFileInputStreamAction(File file) {
        this.file = file;
    }
    
    public OpenFileInputStreamAction(String pathname) {
        this.file = new File(pathname);
    }
    
    @Override
    public FileInputStream run() throws Exception {
        return new FileInputStream(this.file);
    }
}
